import Grammar from "./Grammar.js";
const GrammarList = ({
  grammars,
  deleteGr,
  editGr,
  addRule,
  duplicateGr,
  deleteRule,
  changeRule,
  getFile,
  changeRoot
}) => {
  return (
    <div>
      {grammars.map((grammar) => (
        <Grammar
          key={grammar.id}
          grammar={grammar}
          deleteGr={deleteGr}
          editGr={editGr}
          addRule={addRule}
          duplicateGr={duplicateGr}
          deleteRule={deleteRule}
          changeRule={changeRule}
          getFile={getFile}
          changeRoot={changeRoot}
        />
      ))}
    </div>
  );
};

export default GrammarList;
